Bug 552760 - Malformed line in /usr/bin/openbox-gnome-session generates xsession errors
Summary: Malformed line in /usr/bin/openbox-gnome-session generates xsession errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openbox
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-06 03:22 UTC by Gene Snider
Modified: 2010-02-01 01:05 UTC (History)
1 user (show)

Fixed In Version: 3.4.10-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-01 01:05:38 UTC
Type: ---


Attachments (Terms of Use)

Description Gene Snider 2010-01-06 03:22:06 UTC
Description of problem:
For the openbox package currently on updates-testing, the following line appears in ~.xsession-errors at login:

/usr/bin/openbox-gnome-session: line 49: x[gnome-settings-daemon,openbox]: command not found


Version-Release number of selected component (if applicable):
Name       : openbox
Arch       : x86_64
Version    : 3.4.9
Release    : 1.fc12
This release is currently on updates-testing.


How reproducible:
Always happens when logging in to gnome/openbox.


Steps to Reproduce:
1.Log in to gnome/openbox.
2.Check the output from "head ~/.xsession-errors"
3.
  
Actual results:
Error message in ~.xsession-errors from malformed line in /usr/bin/openbox-gnome-session shell script


Expected results:
No error is expected.


Additional info:
Changing the offending line, 49, in /usr/bin/openbox-gnome-session from:

  if x$OB_SESSION != x$SESSION; then

to:

  if [ x$OB_SESSION != x$SESSION ]; then

fixes the problem. :)

Comment 1 Fedora Update System 2010-01-08 11:11:07 UTC
openbox-3.4.10-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openbox-3.4.10-1.fc12

Comment 2 Fedora Update System 2010-01-08 19:55:44 UTC
openbox-3.4.10-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openbox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0318

Comment 3 Gene Snider 2010-01-09 00:48:27 UTC
Using test works too, thanks for the quick fix.

Gene

Comment 4 Fedora Update System 2010-01-18 11:18:05 UTC
openbox-3.4.10-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openbox-3.4.10-2.fc12

Comment 5 Fedora Update System 2010-01-19 01:01:39 UTC
openbox-3.4.10-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openbox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0744

Comment 6 Gene Snider 2010-01-20 18:25:59 UTC
openbox-3.4.10-1.fc12 works, but openbox-3.4.10-2.fc12 logs in to metacity/Gnome, even when openbox/Gnome is selected.

Comment 7 Fedora Update System 2010-01-22 11:42:06 UTC
openbox-3.4.10-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openbox-3.4.10-3.fc12

Comment 8 Fedora Update System 2010-01-22 22:30:38 UTC
openbox-3.4.10-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openbox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0881

Comment 9 Gene Snider 2010-01-23 00:38:26 UTC
I didn't see openbox-3.4.10-3.fc12 on updates-testing, so I downloaded it from the link in Comment 7.  It's working normally so far.

Comment 10 Fedora Update System 2010-02-01 01:05:24 UTC
openbox-3.4.10-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.